Webhooks
Retry delivery
Retry a failed webhook delivery.
POST
/
v1
/
webhooks
/
deliveries
/
{deliveryId}
/
replay
Retry delivery
curl --request POST \
--url https://api.getmillwork.dev/v1/webhooks/deliveries/{deliveryId}/replay \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/webhooks/deliveries/{deliveryId}/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"attempts": 123,
"created_at": "2023-11-07T05:31:56Z",
"delivery_id": "<string>",
"event": "execution.completed",
"failure_reason": "<string>",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_attempt_at": "2023-11-07T05:31:56Z",
"response_status": 123,
"status": "pending",
"webhook_id": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Path Parameters
Response
Default Response
Available options:
execution.completed, execution.failed, execution.needs_review, proposal.created Available options:
pending, delivered, dead_lettered ⌘I
Retry delivery
curl --request POST \
--url https://api.getmillwork.dev/v1/webhooks/deliveries/{deliveryId}/replay \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/webhooks/deliveries/{deliveryId}/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"attempts": 123,
"created_at": "2023-11-07T05:31:56Z",
"delivery_id": "<string>",
"event": "execution.completed",
"failure_reason": "<string>",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_attempt_at": "2023-11-07T05:31:56Z",
"response_status": 123,
"status": "pending",
"webhook_id": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}